1

Hi I am getting this error for no apparent reason and I see nothing in my system.log which is related to this.

I also cannot find any other similar questions that relate to an error creating store views specifically and so am stuck on what I can try!

Any suggestions are appreciated!

  • Please be more specific. what does your current setup of stores look like? what variables are used to define them? Is the input your trying to save legit? There are too many possible causes to get to 1 answer. – FROSIT Jul 21 '15 at 14:13
  • exception.log would be the place to look. If logging is not disabled via configuration. – Fabian Schmengler Jul 21 '15 at 14:49
  • Please take your time to accept an answer if it helped you. magento.stackexchange.com/help/someone-answers – Fabian Schmengler Dec 18 '15 at 15:01
1

Magento 1.9.0 and earlier have this error if used with PHP >=5.5

If this is your setup, you have two options:

  • Update to Magento 1.9.1.1
  • Downgrade PHP to 5.4

I would not recommend downgrading PHP for security reasons, that leaves you with upgrading Magento. Since Magento 1.9.2 still hase some bugs, your safest bet is 1.9.1.1 +SUPEE-5995 +SUPEE-6285

Edit: The 3rd option is to patch app/code/core/Mage/Core/Helper/Abstract.php to make it PHP 5.5 compatible, as described here: PHP 5.5 Bug - Deprecated functionality: preg_replace()

1

UPDATE: This was a conflict with a FAQ plugin, disabling the plugin allows me to create a store.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.